Subject: [nemo] comments on draft-clausen-nemo-ro-problem-statement-00.txt

From: Tan Tat Kin <[email-masked]>
Date: Wed, 29 Dec 2004 15:21:30 +0800 (SGT)

Hi Clausen,

have a general question after reading your draft.

Basically on page9 when you briefly mentioned the potential solution of
implementing OLSR that could potentially letting MRouters to provide
direct routing of MNNs (instead of, like you outlined, to have gone thru
HAs).

So my question is, bypassing the many levels of encapsulation would this
solution open to other security attacks such as DoS? I was thiking if a
MR allows direct routing between NEMOs which is under this MR's tree,
malicious MR or even MNN could learn the routes quite easily. Part of the
reason encapsulations with and via HAs was by far using the BUs that would
provide some security protections and verifications.

thanks.

rgds,
tatkin